{extend name="apps/common/view/front.tpl" /}
<!-- -->
{block name="header_meta"}
<title>{$seoTitle}－{:config('common.site_name')}</title>
<meta name="keywords" content="{$seoKeywords}" />
<meta name="description" content="{$seoDescription}"  />
{/block}
{block name="header"}{include file="widget/header" /}{/block}
<!--main -->
{block name="main"}
<div class="container">
  <div class="row">
    <div class="col-12 col-md-9">
      <ol class="breadcrumb bg-white mb-2">
        <li class="breadcrumb-item"><a href="{:cmsUrl('cms/index/index')}">首页</a></li>
        <li class="breadcrumb-item active">{:config('common.site_name')}为您找到相关结果约{$total|number_format}个</li>
      </ol>
      {if $searchList}
      <div class="bg-white p-3 mb-2">
        <ul class="nav nav-pills mb-0">
          {volist name="searchList" id="searchUrl"}
          {if $i eq 1}
          <li class="nav-item"><a class="nav-link px-3 py-1 active" href="{$searchUrl}">{:lang($key)}</a></li>
          {else/}
          <li class="nav-item"><a class="nav-link px-3 py-1" href="{$searchUrl}" target="_blank">{:lang($key)}</a></li>
          {/if}
          {/volist}
        </ul>
      </div>
      {/if}
      {volist name="data" id="cms"}
       <div class="bg-white border-bottom">
        <div class="card-body">
          <h5 class="py-2">
            <a class="{$cms.cms_color|cmsColor}" href="{:cmsUrlDetail($cms)}">{$cms.info_name|DcHtml}</a>
          </h5>
          <p>
            {$cms.info_create_time}
            {foreach name="cms.category" item="category"}
            <a class="ml-1" href="{:cmsUrlCategory($category)}">{$category.term_name}</a>
            {/foreach}
          </p>
          <p class="card-text">{$cms.info_excerpt|DcHtml}</p>
          <p><a href="{:cmsUrlDetail($cms)}">查看全文<i class="fa fa-angle-double-right mx-1"></i></a></p>
        </div>
      </div>
      {/volist}
      <div class="w-100 mb-2"></div>
      <!---->
      {gt name="last_page" value="1"}
      <div class="bg-white pt-3 mb-2 d-md-none d-flex justify-content-center">{:DcPageSimple($current_page, $last_page, $pagePath)}</div>
      <div class="bg-white pt-3 mb-2 d-none d-md-flex justify-content-md-center">{:DcPage($current_page, $per_page, $total, $pagePath)}</div>
      {/gt}
      <div class="card rounded-0 mb-2">
        <div class="card-header h6"><a href="{:cmsUrl('cms/page/views')}">最近更新</a></div>
        <ul class="list-unstyled card-body mb-0">
          {volist name=":cmsSelect(['status'=>'normal','limit'=>20,'sort'=>'info_id','order'=>'desc','field'=>'info_name,info_slug,info_action,info_create_time'])" id="cms"}
          <li class="py-2 text-truncate d-flex flex-row justify-content-between align-items-center">
            <a href="{:cmsUrlDetail($cms)}">{$cms.info_name|DcHtml}</a>
            <small class="text-muted">{$cms.info_create_time|substr=0,10}</small>
          </li>
          {/volist}
        </ul>
      </div>
    </div>
    <div class="col-12 col-md-3">
      <div class="bg-white p-3">
      <h6><a class="text-purple" href="{:cmsUrl('cms/page/types')}">网站分类</a></h6>
      <ul class="list-unstyled row">
      {volist name=":cmsCategorySelect(['status'=>'normal',limit=>60,'sort'=>'term_id','order'=>'desc','module'=>['in','cms,common']])" id="category"}
      <li class="py-2 col-6"><a href="{:cmsUrlCategory($category)}">{$category.term_name}</a></li>
      {/volist}
      </ul>
      <h6><a class="text-purple" href="{:cmsUrl('cms/page/tags')}">热门标签</a></h6>
      <ul class="list-unstyled row">
      {volist name=":cmsTagSelect(['status'=>'normal',limit=>20,'sort'=>'term_count','order'=>'desc'])" id="tag"}
      <li class="py-2 col-6"><a href="{:cmsUrlTag($tag)}">{$tag.term_name}</a></li>
      {/volist}
      </ul>
      </div>
    </div>
  </div>
</div>
{/block}
<!-- -->
{block name="footer"}{include file="widget/footer" /}{/block}